%define upstream_name    Passwd-Unix
%define upstream_version 0.621

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    OO interface to files: passwd and shadow
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Passwd/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Crypt::PasswdMD5) >= 1.300.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Compress::Bzip2) >= 2.15.0
BuildRequires: perl(Struct::Compare)
BuildArch:  noarch

%description
The Passwd::Unix module provides an abstract interface to /etc/passwd,
/etc/shadow and /etc/group format files. It is inspired by Unix::PasswdFile
module (that one does not handle /etc/shadow file, what is necessary in
modern systems like Sun Solaris 10 or Linux).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sat Nov 19 2011 kharec <kharec> 0.621.0-1.mga2
+ Revision: 169259
- update to 0.621

* Sat Nov 19 2011 kharec <kharec> 0.620.0-1.mga2
+ Revision: 169163
- imported package perl-Passwd-Unix


* Sat Nov 19 2011 cpan2dist 0.62-1mga
- initial mageia release, generated with cpan2dist
